pysph-viewer_0~20160122.git1fe4786-1_amd64.deb


Advertisement

Description

pysph-viewer - viewer for PySPH - framework for Smoothed Particle Hydrodynamics

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: pysph-viewer
Package version: 0~20160122.git1fe4786
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 14 B
Download size: 3.20 KB
Official Mirror: archive.ubuntu.com
It is implemented in Python and the performance critical parts are implemented in Cython. PySPH is implemented in a way that allows a user to specify the entire SPH simulation in pure Python. High-performance code is generated from this high-level Python code, compiled on the fly and executed. PySPH also features optional automatic parallelization using mpi4py and Zoltan. The package contains viewer for PySPH.

Alternatives

    Download

    Source package: pysph

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install pysph-viewer deb package:
      # sudo apt-get install pysph-viewer

    Files

    • /usr/bin/pysph
    • /usr/share/doc/pysph-viewer/changelog.Debian.gz
    • /usr/share/doc/pysph-viewer/copyright
    • /usr/share/man/man1/pysph.1.gz

    Changelog

    2016-02-09 - Anton Gladky <gladk@debian.org> pysph (0~20160122.git1fe4786-1) unstable; urgency=medium * [725acf5] Imported Upstream version 0~20160122.git1fe4786 * [a1a3d77] Refresh patches. * [456e370] Add python-moko as Depends. * [f6238bf] Minor fix in d/rules. * [a8f501b] Apply cme fix dpkg. * [73d0d1d] Drop site.py. (Closes: #801902)

    2015-06-18 - Anton Gladky <gladk@debian.org> pysph (0~20150606.gitfa26de9-5) unstable; urgency=medium * [ed9bf4e] Add build-essential to depends.

    2015-06-09 - Anton Gladky <gladk@debian.org> pysph (0~20150606.gitfa26de9-4) unstable; urgency=medium * [b3cea9b] Reduce time execution of sphere-autopkgtest.

    2015-06-09 - Anton Gladky <gladk@debian.org> pysph (0~20150606.gitfa26de9-3) unstable; urgency=medium * [ead64b7] Do not install setuptools. (Closes: #788094) * [6c3a640] Move mayavi2 in Recommends. * [4685482] Fia autopkgtest.

    2015-06-07 - Anton Gladky <gladk@debian.org> pysph (0~20150606.gitfa26de9-2) unstable; urgency=medium * [512783a] Fix binary-arch build. Thanks to Aaron M. Ucko. (Closes: #787967)

    2015-06-07 - Anton Gladky <gladk@debian.org> pysph (0~20150606.gitfa26de9-1) unstable; urgency=medium * [ad3599b] Imported Upstream version 0~20150606.gitfa26de9. (Closes: #787573) * [54eddc8] Disable using napoleon sphinx module. * [1b33dc9] Disable autotest temporary. * [e86a545] Install only pysph_viewer in /usr/bin * [b9c26dc] Set HOME in /tmp-created dir. (Closes: #787575) * [2be6b57] Apply cme fix dpkg-control.

    2014-12-12 - Anton Gladky <gladk@debian.org> pysph (0~20141130.git9132872-1) unstable; urgency=medium * Upload to unstable. (Closes: #772908)

    Advertisement
    Advertisement